$(document).ready(function(){
  $("#leaveReviewForm").submit(function(ev){
    ev.preventDefault();
    var review = $(this).find("textarea[name='review']");
    var name = $(this).find("input[name='fname']");
    var span = $(this).find("span.форма-получена");
    var error = false;
    if (name.val() == "") {
      name.addClass("error");
      error = true;
    } else {
      name.removeClass("error")
    }
    if (review.val() == "") {
      review.addClass("error")
      error = true;
    } else {
      review.removeClass("error")
    }
    if (!error) {
      $("body *").css("cursor", "wait");
      $.ajax({
      url: "send_review",
      type: "POST",
      data:  new FormData(this),
      contentType: false,
      cache: false,
      processData:false,
      success: function(data){
        $("body *").css("cursor", "default");
        if (data === "Ok") {
          span.show();
        } else {
          alert(data);
        }
      },
      error: function(){}
      });
    }
  });

});
var reviewView = {};
var indicatorContainer = {};

$(document).ready(function(){
  reviews.init();
  $(document).on("reviewsDataLoaded", function(){
    reviewView.show(reviews.itemWithIndex(0));
    indicatorContainer.init();
    indicatorContainer.setIndicatorActiveWithIndex(0);
  });

  $("div.prev-review").click(function(){
    reviewView.showPrev();
  });
  $("div.next-review").click(function(){
    reviewView.showNext();
  });

  reviewView = {
    container: $("div.reviews").eq(0),
    rowIndex: 0,
    currentItem: {},
    show: function(item){
      this.currentItem = item;
      this.container.find("img.photo").attr("src", "images/reviews/" + item.image);
      this.container.find("div.fullname").text(item.fullname);
      this.container.find("div.from").text(item.where_from);
      this.container.find("div.review").text(item.review);
    },
    showPrev: function(){
      this.rowIndex -= 1;
      if (this.rowIndex < 0) {
        this.rowIndex = (reviews.number - 1);
      }
      var p = reviews.itemWithIndex(this.rowIndex);
      this.show(p);
      indicatorContainer.setIndicatorActiveWithIndex(this.rowIndex);
    },
    showNext: function(){
      this.rowIndex += 1;
      if ( this.rowIndex > (reviews.number - 1)) {
        this.rowIndex = 0;
      }
      this.show(reviews.itemWithIndex(this.rowIndex));
      indicatorContainer.setIndicatorActiveWithIndex(this.rowIndex);
    }
  }
  indicatorContainer = {
    init: function(){
      var imax = reviews.number;
      if (imax > 5) {
        // imax = 5;
      }
      var div;
      for (var i = 0; i < imax; i++) {
        div = $("<div></div>").addClass("reviews-indicator");
        $("div.reviews-indicator-container").append(div);
      }
    },
    setIndicatorActiveWithIndex: function(index){
      $("div.reviews-indicator").removeClass("active");
      $("div.reviews-indicator").eq(index).addClass("active");
    }
  }

  $(document).on("click", "div.reviews-indicator", function(ev){
    reviewView.rowIndex = $("div.reviews-indicator").index($(this));
    reviewView.show(reviews.itemWithIndex(reviewView.rowIndex));
    indicatorContainer.setIndicatorActiveWithIndex(reviewView.rowIndex);
  });
  $("a.leave-review").click(function(){
    $("#leaveReviewModal").fadeIn();
  });
});
