var promotionView = {}, promotions;
var indicatorContainer2 = {};
$(document).ready(function(){
  if (promotions) {
    promotions.init();
  }
  $(document).on("promotionsDataLoaded", function(){
    promotionView.show(promotions.itemWithIndex(0));
    indicatorContainer2.init();
    indicatorContainer2.setIndicatorActiveWithIndex(0);
  });

  $("div.view-5-left").click(function(){
    promotionView.showPrev();
  });
  $("div.view-5-right").click(function(){
    promotionView.showNext();
  });

  promotionView = {
    container: $("div.view-5-container").eq(0),
    rowIndex: 0,
    currentItem: {},
    show: function(item){
      this.currentItem = item;
      this.container.find("img.view-5-image").attr("src", "images/promotions/" + item.image);
      this.container.find("div.view-5-2").html(item.description);
      refreshPromotionDescriptionView();
      this.container.find("div.view-5-3 > p").text(item.name);
    },
    showPrev: function(){
      this.rowIndex -= 1;
      if (this.rowIndex < 0) {
        this.rowIndex = (promotions.number - 1);
        if (this.rowIndex > 4) {
          this.rowIndex = 4;
        }
      }
      var p = promotions.itemWithIndex(this.rowIndex);
      this.show(p);
      indicatorContainer2.setIndicatorActiveWithIndex(this.rowIndex);
    },
    showNext: function(){
      this.rowIndex += 1;
      if ( this.rowIndex > (promotions.number - 1) || this.rowIndex > 4) {
        this.rowIndex = 0;
      }
      this.show(promotions.itemWithIndex(this.rowIndex));
      indicatorContainer2.setIndicatorActiveWithIndex(this.rowIndex);
    }
  }
  indicatorContainer2 = {
    init: function(){
      var imax = promotions.number;
      if (imax > 5) {
        imax = 5;
      }
      var div;
      for (var i = 0; i < imax; i++) {
        div = $("<div></div>").addClass("view-5-indicator");
        $("div.view-5-indicator-container").append(div);
      }
    },
    setIndicatorActiveWithIndex: function(index){
      $("div.view-5-indicator").removeClass("active");
      $("div.view-5-indicator").eq(index).addClass("active");
    }
  }

  $(document).on("click", "div.view-5-indicator", function(ev){
    promotionView.rowIndex = $("div.view-5-indicator").index($(this));
    promotionView.show(promotions.itemWithIndex(promotionView.rowIndex));
    indicatorContainer2.setIndicatorActiveWithIndex(promotionView.rowIndex);
  });

  $(window).resize(function(){
    $("div.view-5-2").html(promotionView.currentItem.description);
    refreshPromotionDescriptionView();
  });

  function refreshPromotionDescriptionView(){
    var childs = $("div.view-5-2").find("*");
    var x, f, fsize;
    var w = $(window).width();
    childs.each(function(){
      if ($(this).css("font-size") !== undefined) {
        x = $(this).css("font-size");
        f = Number(x.slice(0,-2));
        if (w < 600) {
          fsize = f * $(window).width() / 1000;
        } else if (w < 900) {
          fsize = f * $(window).width() / 1000;
        } else if (w < 1440) {
          fsize = f * $(window).width() / 1000;
        } else if (w > 1439) {
          fsize = f * $(window).width() / 1500;
        }
        $(this).css("font-size", fsize + "px");
      }
    });
  }
});
