$(document).ready(function(){
  yachts.init();
  $(document).on("yachtsDataLoaded", function(){
    showYachts();
    var imax = yachts.yachtNumber();
    for (var i = 0; i < imax; i++) {
      yacht = yachts.list[i];
      $("div.yacht-image-container").eq(i).find("img").first().css("opacity", 1);
      $("div.yacht-image-container").eq(i).find("span.dot-catalog").first().css("backgroundColor", "#686868");
    }
  });

  $(document).on("click", ".yacht-catalog",function(event){
    var yachtContainers = $("div.yacht-container");
    var currentYachtContainer = $(this).parent().parent();
    var yachtIndex = yachtContainers.index(currentYachtContainer);
    var slideIndex = yachts.list[yachtIndex].imageIndex;
    yachts.list[yachtIndex].imageIndex2 = slideIndex;
    var x = currentYachtContainer.find("img.yacht-catalog");
    $(".full-screen-image-catalog").attr("data-yacht-index", yachtIndex);
    $(".full-screen-image-catalog").find("img.img-1-catalog").attr("src", x.eq(slideIndex-1).attr("src"));
    $(".full-screen-image-catalog").show();
  });

  $(".full-screen-image-catalog").click(function(){
    $(this).hide();
  });

  $(".full-screen-image-catalog").on("click", ".img-left-catalog", function(event){
    event.stopPropagation();
    var yachtContainers = $("div.yacht-container");
    var yachtIndex = $(".full-screen-image-catalog").attr("data-yacht-index");
    var currentYachtContainer = yachtContainers.eq(yachtIndex);
    var currentYacht = yachts.list[yachtIndex];
    var x = currentYachtContainer.find("img.yacht-catalog");
    currentYacht.imageIndex2 -= 1;
    if (currentYacht.imageIndex2 < 1) {
      currentYacht.imageIndex2 = currentYacht.images.length;
    }
    var src = x.eq(currentYacht.imageIndex2-1).attr("src");
    $("div.full-screen-image-catalog").find("img.img-1-catalog").attr("src", src);
  });

  $(".full-screen-image-catalog").on("click", "div.img-right-catalog", function(event){
    event.stopPropagation();
    var yachtContainers = $("div.yacht-container");
    var yachtIndex = $(".full-screen-image-catalog").attr("data-yacht-index");
    var currentYachtContainer = yachtContainers.eq(yachtIndex);
    var currentYacht = yachts.list[yachtIndex];
    var x = currentYachtContainer.find("img.yacht-catalog");
    currentYacht.imageIndex2 += 1;
    if (currentYacht.imageIndex2 > currentYacht.images.length) {
      currentYacht.imageIndex2 = 1;
    }
    var src = x.eq(currentYacht.imageIndex2-1).attr("src");
    $("div.full-screen-image-catalog").find("img.img-1-catalog").attr("src", src);
  });



  function showYachts(){
    var container = $("div.flex-yacht-container");
    var max = yachts.yachtNumber();
    for (var i = 0; i < max; i++) {
      var yacht = yachts.list[i];
      var div = $("<div></div>").addClass("yacht-container");
      var p = $("<p></p>").text(yacht.name);
      div.append(p);
      var div2 = $("<div></div>").addClass("yacht-image-container");
      div.append(div2);
      var imgMax = yacht.images.length;
      for (var j = 0; j < imgMax; j++) {
        var image = yacht.images[j];
        var img = $("<img>").addClass("yacht-catalog").attr("src", "images/yachts/"+image.image);
        div2.append(img);
      }
      if (i%2) {
        var div3 = $("<div></div>").addClass("dots-right");
      } else {
        var div3 = $("<div></div>").addClass("dots-left");
      }
      div2.append(div3);
      for (var j = 0; j < imgMax; j++) {
        var span = $("<span></span>").addClass("dot-catalog");
        div3.append(span);
        span.click(function(){
          var k = $(this).parent().find("span.dot-catalog").index($(this));
          yacht.imageIndex = k + 1;
          $(this).parent().siblings().filter("img.yacht-catalog").css("opacity", 0);
          $(this).parent().siblings().filter("img.yacht-catalog").eq(k).css("opacity", 1);
          $(this).siblings().css("backgroundColor", "#fff");
          $(this).css("backgroundColor", "#686868");
        });
      }
      var href = "яхта?яхта=" + yacht.name;
      var a = $("<a></a>").addClass("show-yacht-detail").attr("href", href).text("Подробнее");
      div2.append(a);
      var html = '\
      <div class="condition">\
          <div class="svg-img">\
            <img class="" src="images/svg/time-left.svg" alt="" style="width:50%;">\
          </div>\
          <div class="" style="text-align:left;">\
            <span class="">От 1 часа</span>\
          </div>\
          <div class="svg-img">\
            <i class="material-icons" style="font-size:40px;color:#323484;">people</i>\
          </div>\
          <div class="" style="text-align:left;flex-basis:30%;">\
            <span class="">до ' +yacht.capacity + ' человек</span>\
          </div>\
          <div class="" style="text-align:right;">\
            <span>от</span>\
          </div>\
          <div class="last-item">\
            <div class="" style="font-weight:bold;color:red;font-size:150%;">\
              <span> ' + yacht.price + ' </span>\
            </div>\
            <div class="">\
              <span>руб/час</span>\
            </div>\
          </div>\
      </div>\
      ';
      div.append(html);
      href = "javascript:bookYacht('" + yacht.name + "');";
      var a = $("<a></a>").addClass("book-yacht").text("Забронировать").attr("href", href);
      div.append(a);
      container.append(div);
    }
  }

  var timer = setInterval(changeYacht, 3000);
  function changeYacht(){
    var yachtContainers = $("div.yacht-container");
    var imax = yachtContainers.length;
    for (var i = 0; i < imax; i++) {
      var c = yachtContainers.eq(i);
      var y = yachts.list[i];
      y.imageIndex +=1;
      if (y.imageIndex > y.images.length) {
        y.imageIndex = 1;
      }
      c.find("img.yacht-catalog").css("opacity", 0);
      c.find("img.yacht-catalog").eq(y.imageIndex - 1).css("opacity", 1);
      c.find("span.dot-catalog").css("backgroundColor", "#fff");
      c.find("span.dot-catalog").eq(y.imageIndex - 1).css("backgroundColor", "#686868");
    }
  }
});
