<?php //upload_photo.php
session_start();
require_once "../../functions.php";
// вход выполнен?
if (!isset($_SESSION["yacht_user"])) {
  header("Location: login");
  exit();
}

$target_dir = "../../images/yachts/";
$msg = "";
$error = array();
$uploadOk = 1;
$imageId = 0;

if ($_FILES) {
  if ($_FILES['newYachtImage']['error'] === UPLOAD_ERR_OK) {
    $target_file = $target_dir . basename($_FILES["newYachtImage"]["name"]);
    $imageFileType = strtolower(pathinfo($_FILES['newYachtImage']['name'],PATHINFO_EXTENSION));
    if(isset($_POST["yachtId"])) {
      $yachtId = test_input($_POST["yachtId"]);
    } else {
      $error[] = "Неизвестная яхта..";
      $uploadOk = 0;
    }
    // Allow certain file formats
    if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
    && $imageFileType != "gif") {
        $error[] = "Недопустимый тип файла.";
        $uploadOk = 0;
    }
      $check = getimagesize($_FILES["newYachtImage"]["tmp_name"]);
      if($check == false) {
        $error[] = "Файл не является изображением.";
        $uploadOk = 0;
      }
    if ($uploadOk !== 0) {
        if (move_uploaded_file($_FILES["newYachtImage"]["tmp_name"], $target_file)) {
          $image = basename($_FILES["newYachtImage"]["name"]);
          $res = $connection->query("INSERT INTO yacht_images (yacht_id, image)
                                           VALUES ($yachtId, '$image')");
          if ($res) {
            $msg = "Ok";
            $imageId = $connection->insert_id;
          } else {
            $error[] = $connection->error;
            $uploadOk = 0;
          }
          if ($uploadOk !== 0) {
            switch($imageFileType){
              case "gif":   $src = imagecreatefromgif($target_file); break;
              case "jpg":  // Both regular and progressive jpegs
              case "jpeg":  // Both regular and progressive jpegs
              case "pjpeg": $src = imagecreatefromjpeg($target_file); break;
              case "png":   $src = imagecreatefrompng($target_file); break;
              default:      $error[] = $imageFileType; $uploadOk = 0; break;
            }

            list($w, $h) = getimagesize($target_file);
              $max = 1024;
              $tw  = $w;
              $th  = $h;
              if ($w > $h && $max < $w){
                $th = $max / $w * $h;
                $tw = $max;
              } elseif ($h > $w && $max < $h) {
                $tw = $max / $h * $w;
                $th = $max;
              } elseif ($max < $w) {
                $tw = $th = $max;
              }
             $tmp = imagecreatetruecolor($tw, $th);
             imagecopyresampled($tmp, $src, 0, 0, 0, 0, $tw, $th, $w, $h);
             imageconvolution($tmp, array(array(-1, -1, -1),
               array(-1, 16, -1), array(-1, -1, -1)), 8, 0);

             switch($imageFileType){
               case "gif":   imagegif($tmp, $target_file); break;
               case "jpg":  // Both regular and progressive jpegs
               case "jpeg":  // Both regular and progressive jpegs
               case "pjpeg": imagejpeg($tmp, $target_file); break;
               case "png":   imagepng($tmp, $target_file); break;
               default:      $uploadOk = 0; break;
             }

             imagedestroy($tmp);
             imagedestroy($src);
          }
        } else {
            $error[] = "Неизвестная ошибка загрузки изображения.";
        }
    }
  } else {
    $uploadOk = 0;
    $code = $_FILES['newYachtImage']['error'];
    switch ($code) {
        case UPLOAD_ERR_INI_SIZE:
            $error[] = " Размер файла не должен превышать 500Кб"; //"The uploaded file exceeds the upload_max_filesize directive in php.ini";
            break;
        case UPLOAD_ERR_FORM_SIZE:
            $error[] = " Размер файла не должен превышать 500Кб"; //"The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form";
            break;
        case UPLOAD_ERR_PARTIAL:
            $error[] = " Файл загружен частично.";//"The uploaded file was only partially uploaded";
            break;
        case UPLOAD_ERR_NO_FILE:
            $error[] = " Файл не выбран.";//"No file was uploaded";
            break;
        case UPLOAD_ERR_NO_TMP_DIR:
            $error[] = "Missing a temporary folder";
            break;
        case UPLOAD_ERR_CANT_WRITE:
            $error[] = "Failed to write file to disk";
            break;
        case UPLOAD_ERR_EXTENSION:
            $error[] = "File upload stopped by extension";
            break;
        default:
            $error[] = "Неизвестная ошибка при загрузке файла";
            break;
    }
  }
  if (!empty($error)) {
    echo json_encode(array("Error", array_shift($error)));
  } else {
    echo json_encode(array("Ok", $image, $imageId));
  }
} //if ($_FILES)

?>
