<?php //login.php
session_start();
require_once "functions.php";
$mainTitle = "Login";
$errorLogin = array();
$login = $password = "";

if (isset($_POST['submitLogin'])) {
  $data = $_POST;
  $login = test_input($data['login']);
  $password = test_input($data['password']);
  if (empty($login)) {
    $errorLogin[] = "Введите логин.";
  }
  if (empty($password)) {
    $errorLogin[] = "Введите пароль.";
  }
  if (empty($errorLogin)) {
    if (!empty($user = userVerify($login, $password))) {
      $_SESSION['yacht_user'] = $user;
      header("Location: settings_yachts");
      exit();
    } else {
      $errorLogin[] = "Email или пароль введены не верно";
    }
  }
}

?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title><?php echo $mainTitle ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script defer src="https://use.fontawesome.com/releases/v5.0.6/js/all.js"></script>
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <script src="lib/jquery-3.3.1.min.js"></script>
    <link rel='stylesheet' href='lib/css/w3.css' type='text/css'>
    <script src="lib/functions.js"></script>
  </head>
  <body>
    <!-- top bar -->
      <div class="w3-top">
        <div class="w3-bar w3-blue-grey w3-card" id='topBar'>
        </div>
      </div>
    <!-- login form -->
    <div class="w3-content w3-card-4" style="max-width:600px;opacity:1;margin-top:50px;">
      <div class="w3-container w3-display-container w3-blue-grey">
        <h1>Вход</h1>
      </div>
      <div class="w3-container w3-padding w3-light-grey">
        <form class="" action="login" method="post">
          <div class="w3-panel w3-row-padding w3-small">
            <div class="w3-quarter">
              <p class=""></p>
            </div>
            <div class="w3-threequarter">
              <?php if (!empty($errorLogin)): ?>
                <div class="w3-container w3-pale-red"  id="loginError">
                  <p><?php echo array_shift($errorLogin); ?></p>
                </div>
              <?php endif; ?>
            </div>
          </div>

          <div class="w3-panel w3-row-padding w3-small">
            <div class="w3-quarter">
              <label class="w3-right">Логин</label>
            </div>
            <div class="w3-threequarter">
              <input class="w3-input w3-border" type="text" name="login" value="<?php echo $login;?>"  autofocus >
            </div>
          </div>
          <div class="w3-panel w3-row-padding w3-small">
            <div class="w3-quarter">
              <label class="w3-right">Пароль</label>
            </div>
            <div class="w3-threequarter">
              <input class="w3-input w3-border" type="password" name="password" value=<?php echo $password; ?>>
            </div>
          </div>
          <div class="w3-padding w3-right">
            <input class="w3-btn w3-border w3-round-large w3-green w3-right w3-margin-left" type="submit" name="submitLogin" value="Вход" id="btnLogin">
          </div>
        </form>
      </div>
    </div>
  </body>
</html>
