<?php //login.php
session_start();
require_once "functions.php";
// вход выполнен?
if (!isset($_SESSION["yacht_user"])) {
  header("Location: login");
  exit();
}

$error = array();
if (isset($_POST['currentPassword'])) {
  $data = $_POST;
  $emailId = test_input($data['emailId']);
  $emailIdInput = test_input($data['emailIdInput']);
  $currentPassword = test_input($data['currentPassword']);
  $password = test_input($data['password']);
  $password2 = test_input($data['password2']);
  $login = "admin";
  if (empty($password)) {
    $error[] = "Введите пароль.";
  }
  if (empty($password2)) {
    $error[] = "Введите пароль еще раз.";
  }
  if ($password !== $password2) {
    $error[] = "Введенные пароли не совпадают.";
  }

  if ($emailId == "0") {
    if (empty($currentPassword)) {
      $error[] = "Введите текущий пароль.";
    } else {
      if (empty($user = userVerify($login, $currentPassword))) {
        $error[] = "Текущий пароль введен не верно";
      }
    }
  } else {
    if (empty($emailIdInput)) {
      $error[] = "Введите код.";
    } else {
      if (!verifyToken($emailIdInput)) {
        $error[] = "Код введен неверно.";
      }
    }
  }

  if (empty($error)) {
    $res = save_password($login, $password);
    if ($res !== "Ok") {
      $error[] = $res;
    }
  }

  if (empty($error)) {
    echo "Ok";
  } else {
    echo array_shift($error);
  }
}

function verifyToken($token){
  global $connection;
  $login = "admin";
  $res = false;

  $stmt = $connection->prepare("SELECT email_token
                                FROM users
                                WHERE login = ? LIMIT  1");
  $stmt->bind_param("s", $login);
  $stmt->execute();
  $result = $stmt->get_result();
  if ($result->num_rows > 0) {
    while($row = $result->fetch_assoc()) {
      if (password_verify($token, $row["email_token"])) {
        $res = true;
      }
    }
  }
  $stmt->close();
  return $res;
}
?>
