var editor, editor2;
var editMode = {};
$(document).ready(function(){
  promotions.init(1);
  $(document).on("promotionsDataLoaded", function(){
    promotions.current = promotions.list[0];
    $(".item-title").text(promotions.currentItem.name);
    itemForm.showReadOnly(promotions.currentItem);
  });

  $(document).on("itemWasDeleted", function(){
    promotions.init(1);
  });

  $(document).on("newItemWasAdded", function(event, newItem){
    var x = new Promotion(newItem);
    promotions.addItem(x);
    promotions.current = x;
    $(".item-title").text(promotions.currentItem.name);
    itemForm.showReadOnly(promotions.currentItem);
  });
  $("a.delete-item").click(function(){
    var id = $("#itemForm").find("input[name='id']").val();
    var msg = "Удалить акцию '"+promotions.currentItem.name+"'?";
    if (confirm(msg)) {
      $.post("lib/php/delete_promotion", {id:id}, function(data){
        if (data === "Ok") {
          $(document).trigger("itemWasDeleted");
        } else {
          alert(data);
        }
      });
    }
  });

  $("textarea").cleditor();
  editor = $("textarea").cleditor()[0];
  editor2 = $("textarea").cleditor()[1];

  $(".prev-item").click(function(){
    var item = promotions.prev;
    $(".item-title").text(item.name);
    itemForm.showReadOnly(item);
  });
  $(".next-item").click(function(){
    var item = promotions.next;
    $(".item-title").text(item.name);
    itemForm.showReadOnly(item);
  });

  $(document).on("click", "a.add-item", function(){
    formReset($("#addItemForm"));
    $("#addItemForm").show();
    editor2.refresh();
  });
  function formReset(form){
    form.find("input").val("");
    form.find("textarea").val("");
  }
  $("a.save-new-item").click(function(){
    var newItem = {};
    var form = $("#addItemForm");
    var name = form.find("input[name='name']");
    var showItem = form.find("input[name='show_item']");
    var description = form.find("textarea[name='description']");
    if (name.val() == "") {
      alert("Введите название акции");
      name.focus();
      return;
    } else {
      newItem.name = name.val();
    }
    if (showItem.prop("checked")) {
      newItem.show_item = 1;
    } else {
      newItem.show_item = 0;
    }
    newItem.description = description.val();
    $.post("lib/php/add_promotion", {newItem:JSON.stringify(newItem)}, function(data){
      data = JSON.parse(data);
      if (data[0] === "Ok") {
        $(document).trigger("newItemWasAdded", [data[1]]);
        $("#addItemForm").hide();
      } else {
        alert(data[1]);
      }
    });
  });

  $(document).on("click", "a.edit-item", function(){
    editMode.setTrue();
  });

  $(document).on("click", "a.close-item", function(){
    $(".item-title").text(promotions.currentItem.name);
    itemForm.showReadOnly(promotions.currentItem);
  });

  var itemForm = {
    item: {},
    form: $("#itemForm"),
    inputs: function(){return this.form.find("input");},
    textarea: function(){return this.form.find("textarea");},
    inputId: function(){return this.form.find("input[name='id']");},
    inputName: function(){return this.form.find("input[name='name']");},
    inputShowOnMainPage: function(){return this.form.find("input[name='show_item']")},
    inputDescriptionEdit: function(){return this.form.find("textarea[name='description']")},
    image: $("img.item-image"),
    showReadOnly: function(item){
      this.item = item;
      this.inputId().val(item.id);
      this.inputName().val(item.name);
      this.inputDescriptionEdit().val(item.description);
      editor.updateFrame($("textarea[name='description']"));
      if (item.show_item === "1") {
        this.inputShowOnMainPage().prop("checked", true);
      } else {
        this.inputShowOnMainPage().prop("checked", false);
      }
      this.image.attr("src", "images/promotions/"+ item.image);
      editMode.setFalse();
      this.form.css("opacity", 1);
    }
  };

itemForm.form.find("input").change(function(ev){
  updateItem($(this));
});
editor.blurred(function(){
  if ($("textarea[name='description']").val() !== promotions.currentItem.description) {
    updateItem($("textarea[name='description']"));
  }
});
function updateItem(input){
  var id = promotions.currentItem.id;
  var value = input.val();
  var inputName = input.attr("name");
  if (input.attr("type") === "checkbox") {
    if (input.prop("checked")) {
      value = '1';
    } else {
      value = '0';
    }
  }
  if (inputName === "image") {
    $.ajax({
    url: "lib/php/upload_promotion_photo",
    type: "POST",
    data:  new FormData($("#itemForm")[0]),
    contentType: false,
    cache: false,
    processData:false,
    success: function(data){
      data = JSON.parse(data);
      if (data[0] === "Ok") {
        $(document).trigger("newItemPhotoUploaded", [data[1]]);
      } else {
        alert(data[1]);
      }
    },
    error: function(){}
    });
  } else {
    $.post("lib/php/update_promotion", {id:id, inputName:inputName, value:value}, function(data){
      if (data === "Ok") {
        $(document).trigger("itemWasUpdated", [input, inputName, value]);
      } else {
        alert(data);
      }
    });
  }
}
$(document).on("newItemPhotoUploaded", function(event, value){
  promotions.currentItem["image"] = value;
});
$(document).on("itemWasUpdated", function(event, input, inputName, value){
  updateCurrentItem(input, inputName, value);
  $(".item-title").text(promotions.currentItem.name);
});
function updateCurrentItem(input, inputName, value){
  promotions.currentItem[inputName] = value;
  input.val(value);
  if (inputName == "description") {
    editor.updateFrame($("textarea[name='description']"));
  }
}

editMode = {
  status: false,
  setTrue: function(){
    this.status = true;
    $("span.item-read").hide();
    $("span.item-edit").show();
    $("i.delete").show();
    $("#itemForm").find("input").attr({"readonly":false, "disabled":false});
    editor.disable(false);
    $("#itemForm").find("input[name='name']").focus();
    $("a.edit-item").hide();
    $("a.close-item").show();
    $("i.delete").show();
    $("a.delete-item").hide();
    $("div.item-image-container").show();
  },
  setFalse: function(){
    this.status = false;
    $("span.item-read").show();
    $("span.item-edit").hide();
    $("#itemForm").find("input").attr({"readonly":true, "disabled":true});
    editor.disable(true);
    $("a.edit-item").show(); //редактировать
    $("a.close-item").hide(); // закрыть
    $("i.delete").hide();
    $("a.delete-item").show();
    $("div.item-image-container").hide();
  }
}

}); //ready
