<?php //settings.php
session_start();
require_once "functions.php";
$mainTitle = "Яхты - настройки";
// logged in?
if (!isset($_SESSION["yacht_user"])) {
  header("Location: login");
  exit();
}

?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title><?php echo $mainTitle ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script defer src="https://use.fontawesome.com/releases/v5.0.6/js/all.js"></script>
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <!-- <script src="lib/jquery-3.1.1.min.js"></script> -->
    <script src="lib/jquery-3.3.1.min.js"></script>
    <link rel='stylesheet' href='lib/css/w3.css' type='text/css'>
    <link rel='stylesheet' href='lib/css/settings.css' type='text/css'>
    <script src="lib/functions.js"></script>
    <script src="settings_password.js"></script>
  </head>
  <body>
    <?php include "includes/settings_menu.html"; ?>
    <script type="text/javascript">$("a.password").addClass("w3-blue");</script>
    <div class="w3-container password-form" style="margin-top:60px;">
      <!-- reset password -->
      <div id="passwordContainer" class="password-container">
        <div class="w3-container" style="max-width:600px;">
          <form id="resetPassword" class="resetPassword" action="" method="post" autocomplete="off">
            <!-- current password -->
            <div class="w3-panel w3-row-padding currentPassword">
              <div class="w3-half">
                Текущий пароль:
              </div>
              <div class="w3-half">
                <input type="password" name="currentPassword" value="" autocomplete="off">
                <a href="javascript:void(0);" style="display:inline-block;" onclick="$('#forgotPassword').show();$('#emailId').val('');" tabindex="4">Забыли пароль?</a>
              </div>
            </div> <!-- current password -->
            <!-- ID -->
            <div class="w3-panel w3-row-padding emailId" style="display:none;">
              <div class="w3-half">
                Введите код, отправленный на Ваш email:
              </div>
              <div class="w3-half">
                <input id="emailId" type="text" name="emailId" value="">
              </div>
            </div> <!-- current password -->

            <div class="w3-panel w3-row-padding">
              <div class="w3-half">
                Новый пароль:
              </div>
              <div class="w3-half">
                <input type="password" name="newPassword" value="">
              </div>
            </div>
            <div class="w3-panel w3-row-padding">
              <div class="w3-half">
                Введите новый пароль еще раз:
              </div>
              <div class="w3-half">
                <input type="password" name="newPassword2" value="">
              </div>
            </div>
            <div class="w3-panel w3-row-padding">
              <div class="w3-half" style="visibility:hidden;">
                text
              </div>
              <div class="w3-half">
                <p><input class="w3-button w3-border" type="submit" name="submitPassword" value="Сохранить"></p>
              </div>
            </div>
          </form>
        </div>
      </div>
      <div id="forgotPassword" class="w3-modal">
        <div class="w3-modal-content" style="max-width:600px;">
          <span onclick="document.getElementById('forgotPassword').style.display='none'" class="w3-button w3-display-topright">&times;</span>
          <div class="w3-panel">
            <form class="" action="" method="post">
              <p>Введите Ваш email, указанный при регистрации</p>
              <p><input type="email" name="email" value="" style="width:50%;"></p>
              <p><input class="w3-button w3-round-large" type="submit" name="submitEmail" value="Готово" id="btnReady"></p>
            </form>
          </div>
        </div>
      </div>
    </div>

    <script>
    var emailId = false;
    $(document).ready(function(){
      $("#forgotPassword").find("form").on("submit", function(e){
        e.preventDefault();
        var email = $("input[name='email']");
        var msg = "";
        if (email.val() === "") {
          alert("Введите email");
          email.focus();
        } else {
          // send email
          $("body *").css("cursor", "wait");
          $.post("sendmailid", {email:email.val()}, function(data){
            $("body *").css("cursor", "default");
            if (data === "Ok") {
              emailId = true;
              $("div.currentPassword").hide();
              $("div.emailId").show();
              msg = "На указанный электронный адрес отправлен Код для смены пароля.\nЕсли Вы не видите письмо с кодом, то, пожалуйста, проверьте почтовый ящик для спама.\nВведите полученный код в соответствующее поле";
              alert(msg);
            } else {
              alert(data);
            }
          });
        }
        $("#forgotPassword").hide();
      });
    });
    </script>

  </body>
</html>
