<?php //settings_promotion.php
session_start();
require_once "functions.php";
$mainTitle = "Акции - настройки";
// logged in?
if (!isset($_SESSION["yacht_user"])) {
  header("Location: login");
  exit();
}

?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title><?php echo $mainTitle ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script defer src="https://use.fontawesome.com/releases/v5.0.6/js/all.js"></script>
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <script src="lib/jquery-3.3.1.min.js"></script>
    <link rel="stylesheet" href="jquery.cleditor.css" />
    <script src="jquery.cleditor.min.js"></script>
    <link rel='stylesheet' href='lib/css/w3.css' type='text/css'>
    <link rel='stylesheet' href='lib/css/style.css' type='text/css'>
    <link rel='stylesheet' href='lib/css/view-5.css' type='text/css'>
    <link rel='stylesheet' href='lib/css/settings.css' type='text/css'>
    <script src="lib/functions.js"></script>
    <script src="setting_promotion.js"></script>
    <script src="lib/js/promotion_data.js"></script>
    <style media="screen">.item-title{text-transform: uppercase;}</style>
  </head>
  <body>
    <?php include "includes/settings_menu.html"; ?>
    <script type="text/javascript">$("a.settings-promotions").addClass("w3-blue");</script>
    <div class="w3-content">
      <div class="w3-bar w3-border w3-round-xlarge" style="background-color:#C2E6F5;max-width:900px;margin:auto;margin-top:60px;margin-bottom:24px;">
          <a class="w3-bar-item w3-button prev-item" href="javascript:void(0);"> <strong>&#60;</strong> </a>
          <span class="w3-bar-item item-title" style="width:400px;white-space:nowrap">Акция</span>
          <a class="w3-bar-item w3-button next-item" href="javascript:void(0);"> <strong>&#62;</strong> </a>
          <a class="w3-bar-item w3-button w3-text-red add-item w3-right" href="javascript:void(0);">Добавить акцию</a>
      </div>
      <form id="itemForm" class="w3-border w3-round-xlarge w3-light-grey" action="" method="post" style="max-width:900px;margin:auto;" enctype="multipart/form-data">
        <div class="w3-bar w3-border" style="background-color:#C2E6F5; border-radius:16px 16px 0 0;">
          <span class="w3-bar-item item-read">Просмотр</span>
          <span class="w3-bar-item item-edit">Редактирование</span>
          <a href="javascript:void(0)" class="w3-bar-item w3-button edit-item w3-right">Редактировать</a>
          <a href="javascript:void(0)" class="w3-bar-item w3-button close-item w3-right">Готово</a>
          <a href="javascript:void(0)" class="w3-bar-item w3-button delete-item w3-right">Удалить</a>
        </div>
        <input class="w3-input w3-hide" type="text" name="id" value="">
        <div class="w3-container">
          <p>
            <label for="">Название</label>
            <input class="w3-input w3-border" type="text" name="name" value="">
          </p>
        </div>
        <div class="w3-container">
          <p>
            <input class="w3-check" type="checkbox" checked="checked" name="show_item">
            <label>Показать на главной странице</label>
          </p>
        </div>
        <div class="w3-container">
          <p>
            <label for="">Описание</label>
            <textarea class="" id="description"  name="description" rows="10" cols="40" style="width:100%;" class="description w3-border-grey"></textarea>
          </p>
        </div>
        <div class="w3-container item-image-container">
          <input id="itemImage" class="w3-button" type="file" name="image" value="Выбрать фото" onchange="readURL(this, $('img.item-image'));">
          Разрешенные типы файла - .jpg, .jpeg, .png, .gif
        </div>
        <div class="w3-container">
          <img class="item-image" src="" alt="" style="width:100%;">
        </div>
      </form>

      <div id="addItemForm" class="w3-modal">
        <div class="w3-modal-content w3-round-xlarge">
          <span onclick="document.getElementById('addItemForm').style.display='none'" class="w3-button w3-display-topright">&times;</span>
          <form class="w3-border w3-round-xlarge w3-light-grey" action="" method="post" style="max-width:900px;">
            <div class="w3-bar" style="background-color:#C2E6F5; border-radius:16px 16px 0 0;">
              <span class="w3-bar-item w3-large w3-center">Добавить акцию</span>
              <a href="javascript:void(0)" class="w3-bar-item w3-button save-new-item w3-right">Сохранить</a>
              <a href="javascript:void(0)" class="w3-bar-item w3-button w3-right" onclick="$('#addItemForm').hide()">Отменить</a>
            </div>
            <div class="w3-container">
              <p>
                <label for="">Название</label>
                <input class="w3-input w3-border" type="text" name="name" value="">
              </p>
            </div>
            <div class="w3-container">
              <p>
                <input class="w3-check" type="checkbox" checked="checked" name="show_item">
                <label>Показать на главной странице</label>
              </p>
            </div>
            <div class="w3-container">
              <p>
                <label for="">Описание</label>
                <textarea id="newItemDescription"  name="description" rows="10" cols="40" style="width:100%;" class="new-item-description w3-border-grey"></textarea>
              </p>
            </div>
          </form> <!-- new item -->
        </div>
      </div>
    </div> <!-- content -->
  </body>
</html>
