$(document).ready(function(){
  reviews.init(1);
  $(document).on("reviewsDataLoaded", function(){
    // show table
    reviewView.show();
  });

  $(document).on("itemWasDeleted", function(){
    reviews.init(1);
  });

  $(document).on("click", "a.delete-item", function(){
    var id = $(this).attr("data-id");
    var msg = "Удалить отзыв?";
    if (confirm(msg)) {
      $.post("lib/php/delete_review", {id:id}, function(data){
        if (data === "Ok") {
          $(document).trigger("itemWasDeleted");
        } else {
          alert(data);
        }
      });
    }
  });

  $(document).on("click", ".show-item", function(){
    var id = $(this).attr("data-id");
    var show_item;
    if ($(this).prop("checked")) {
      show_item = 1;
    } else {
      show_item = 0;
    }
    $.post("lib/php/update_review", {"id":id, "show_item":show_item}, function(data){
      if (data !== "Ok") {
        alert(data);
      }
    });
  });

  reviewView = {
    show: function(){
      var table = $("#reviewsTable");
      var tb = table.find("tbody");
      tb.empty();
      var tr, td, img, span, cb, a;
      var rows = reviews.number;
      var row;
      for (var i = 0; i < rows; i++) {
        row = reviews.itemWithIndex(i);
        tr = $("<tr></tr>");

        // image
        td = $("<td></td>").css("width", "20%");
        img = $("<img>").attr("src", "images/reviews/"+row.image).css({"width":"100%"});
        td.append(img);
        tr.append(td);

        //fullname & where from
        td = $("<td></td>");
        span = $("<span></span>").addClass("fullname").css({"display":"block", "width":"20%"}).text(row.fullname);
        td.append(span);
        span = $("<span></span>").addClass("where-from").css({"display":"block", "width":"20%", "font-size":"75%"}).text(row.where_from);
        td.append(span);
        tr.append(td);

        // review
        td = $("<td></td>").css("width","40%").text(row.review);
        tr.append(td);

        // checkbox
        td = $("<td></td>").css("width","10%").addClass("w3-center");
        cb = $("<input>").attr({"data-id":row.id, "type":"checkbox", "name":"show_item"}).addClass("w3-xlarge show-item");
        if (row.show_item == "1") {
          cb.prop("checked", true);
        } else {
          cb.prop("checked", false);
        }
        td.append(cb);
        // td.append(span);
        tr.append(td);

        // // delete_review
        td = $("<td></td>").css("width","10%").addClass("w3-center w3-small");
        a = $("<a></a>").attr({"data-id":row.id, "href":"javascript:void(0);"}).text("удалить").addClass("delete-item w3-button w3-border w3-round-large");
        td.append(a);
        tr.append(td);
        tb.append(tr);
      }
    }
  }
}); //ready
