var editor, editor2;
var photoIndex = 0;
var yachtIndex = 0;
var currentYacht = {};
var editMode = {};
$(document).ready(function(){
  yachts.init();
  $(document).on("yachtsDataLoaded", function(){
    yachtIndex = 0;
    currentYacht = yachts.list[yachtIndex];
    $(".yacht-title").text(currentYacht.name);
    yachtForm.showReadOnly(currentYacht);
  });

  $(document).on("yachtWasDeleted", function(){
    yachts.init();
  });

  $(document).on("newYachtWasAdded", function(event, newYacht){
    yachts.addItem(new Yacht(newYacht));
    yachtIndex = yachts.yachtNumber() - 1;
    currentYacht = yachts.list[yachtIndex];
    $(".yacht-title").text(currentYacht.name);
    yachtForm.showReadOnly(currentYacht);
  });
  $("a.delete-yacht").click(function(){
    var id = $("#yachtForm").find("input[name='id']").val();
    var msg = "Удалить яхту '"+currentYacht.name+"'?";
    if (confirm(msg)) {
      $.post("lib/php/delete_yacht", {id:currentYacht.id}, function(data){
        if (data === "Ok") {
          $(document).trigger("yachtWasDeleted");
        } else {
          alert(data);
        }
      });
    }
  });

  $("i.delete").click(function(event){
    photoIndex = $("i.delete").index($(this));
    if (currentYacht.images[photoIndex] !== undefined) {
      var msg = "Удалить фото '"+currentYacht.images[photoIndex].image + "'?";
      if (confirm(msg)) {
        $.post("lib/php/delete_yacht_image", {id:currentYacht.images[photoIndex].id, image:currentYacht.images[photoIndex].image}, function(data){
          if (data === "Ok") {
            $(document).trigger("yachtPhotoWasDeleted", [photoIndex]);
          } else {
            alert(data);
          }
        });
      }
    }
  });

  $(document).on("yachtPhotoWasDeleted", function(event, photoIndex){
    currentYacht.images.splice(photoIndex, 1);
    yachtForm.showYachtImages(currentYacht);
    showAddPhotoButton();
  });

  $("a").on('click', function(event) {
    if (this.hash !== "") {
      event.preventDefault();
      var hash = this.hash;
      $('html, body').animate({
        scrollTop: $(hash).offset().top - 70
      }, 800, function(){
      });
    }
  });

  $("textarea").cleditor();
  editor = $("textarea").cleditor()[0];
  editor2 = $("textarea").cleditor()[1];

  $("i.zoom-in").click(function(event){
    photoIndex = $("i.zoom-in").index($(this));
    var src = $("img.photo").eq(photoIndex).attr("src");
    $(".full-screen-image").find("img.img-1").attr("src", src);
    $(".full-screen-image").show();
  });
  $(".full-screen-image").click(function(){
    $(this).hide();
  });
  $("div.img-left").click(function(event){
    event.stopPropagation();
    var src = "";
    photoIndex = photoIndex - 1;
    if (photoIndex < 0) {
      photoIndex = $("i.zoom-in").length - 1;
    }
    src = $("img.photo").eq(photoIndex).attr("src");
    $(".full-screen-image").find("img.img-1").attr("src", src);
  });
  $("div.img-right").click(function(event){
    event.stopPropagation();
    var src = "";
    photoIndex = photoIndex + 1;
    if (photoIndex > ($("i.zoom-in").length - 1)) {
      photoIndex = 0;
    }
    src = $("img.photo").eq(photoIndex).attr("src");
    $(".full-screen-image").find("img.img-1").attr("src", src);
  });
  $(".prev-yacht").click(function(){
    yachtIndex -= 1;
    if (yachtIndex < 0) {
      yachtIndex = yachts.yachtNumber() - 1;
    }
    currentYacht = yachts.list[yachtIndex];
    $(".yacht-title").text(currentYacht.name);
    yachtForm.showReadOnly(currentYacht);
  });
  $(".next-yacht").click(function(){
    yachtIndex += 1;
    if (yachtIndex > yachts.yachtNumber() - 1) {
      yachtIndex = 0;
    }
    currentYacht = yachts.list[yachtIndex];
    $(".yacht-title").text(currentYacht.name);
    yachtForm.showReadOnly(currentYacht);
  });

  $(document).on("click", "a.add-yacht", function(){
    formReset($("#addYachtForm"));
    $("#addYachtForm").show();
    editor2.refresh();
  });
  function formReset(form){
    form.find("input").val("");
    form.find("textarea").val("");
  }
  $("a.save-new-yacht").click(function(){
    var newYacht = {};
    var form = $("#addYachtForm");
    var name = form.find("input[name='name']");
    var price = form.find("input[name='price']");
    var length = form.find("input[name='length']");
    var width = form.find("input[name='width']");
    var speed = form.find("input[name='speed']");
    var capacity = form.find("input[name='capacity']");
    var numberOfCabins = form.find("input[name='numberOfCabins']");
    var showYacht = form.find("input[name='showYacht']");
    var availableWithoutCaptain = form.find("input[name='availableWithoutCaptain']");
    var newYachtDescription = form.find("textarea[name='newYachtDescription']");
    if (name.val() == "") {
      alert("Введите название яхты");
      name.focus();
      return;
    } else {
      newYacht.name = name.val();
    }
    newYacht.price = price.val();
    newYacht.length = length.val();
    newYacht.width = width.val();
    newYacht.speed = speed.val();
    newYacht.capacity = capacity.val();
    newYacht.numberOfCabins = numberOfCabins.val();
    if (showYacht.prop("checked")) {
      newYacht.showYacht = 1;
    } else {
      newYacht.showYacht = 0;
    }
    if (availableWithoutCaptain.prop("checked")) {
      newYacht.availableWithoutCaptain = 1;
    } else {
      newYacht.availableWithoutCaptain = 0;
    }
    newYacht.newYachtDescription = newYachtDescription.val();
    $.post("lib/php/add_yacht", {newYacht:JSON.stringify(newYacht)}, function(data){
      data = JSON.parse(data);
      if (data[0] === "Ok") {
        $(document).trigger("newYachtWasAdded", [data[1]]);
        $("#addYachtForm").hide();
      } else {
        alert(data[1]);
      }
    });
  });

  $(document).on("click", "a.edit-yacht", function(){
    editMode.setTrue();
  });
  function showAddPhotoButton(){
    if (editMode.status) {
      if (currentYacht.photoNumber() < 5) {
        $("a.add-photo").show();
      } else {
        $("a.add-photo").hide();
      }
    }
  }
  $("input[name='newYachtImage']").change(function(){
    $("#addPhotoForm").submit();
  });
  $("a.add-photo").click(function(){
    $("#addPhotoForm").find("input[name='yachtId']").val(currentYacht.id);
    $("#addPhoto").show();
  });
  $(document).on("click", "a.close-yacht", function(){
    yachtForm.showReadOnly(yachts.list[yachtIndex]);
  });

  var yachtForm = {
    yacht: {},
    form: $("#yachtForm"),
    inputs: function(){return this.form.find("input");},
    textarea: function(){return this.form.find("textarea");},
    inputId: function(){return this.form.find("input[name='id']");},
    inputName: function(){return this.form.find("input[name='name']");},
    inputPrice: function(){return this.form.find("input[name='price']")},
    inputLength: function(){return this.form.find("input[name='length']")},
    inputWidth: function(){return this.form.find("input[name='width']")},
    inputSpeed: function(){return this.form.find("input[name='speed']")},
    inputCapacity: function(){return this.form.find("input[name='capacity']")},
    inputNumberOfCabins: function(){return this.form.find("input[name='numberOfCabins']")},
    inputShowOnMainPage: function(){return this.form.find("input[name='showYacht']")},
    inputAvailableWithoutCaptain: function(){return this.form.find("input[name='availableWithoutCaptain']")},
    inputDescriptionEdit: function(){return this.form.find("textarea[name='description']")},
    inputImages: function(){return this.form.find("img.photo")},
    showReadOnly: function(yacht){
      this.yacht = yacht;
      this.inputId().val(yacht.id);
      this.inputName().val(yacht.name);
      this.inputPrice().val(yacht.price);
      this.inputLength().val(yacht.length);
      this.inputWidth().val(yacht.width);
      this.inputSpeed().val(yacht.speed);
      this.inputCapacity().val(yacht.capacity);
      this.inputNumberOfCabins().val(yacht.numberOfCabins);
      this.inputDescriptionEdit().val(yacht.description);
      editor.updateFrame($("textarea[name='description']"));
      if (yacht.showYacht === "1") {
        this.inputShowOnMainPage().prop("checked", true);
      } else {
        this.inputShowOnMainPage().prop("checked", false);
      }
      if (yacht.availableWithoutCaptain === "1") {
        this.inputAvailableWithoutCaptain().prop("checked", true);
      } else {
        this.inputAvailableWithoutCaptain().prop("checked", false);
      }
      this.showYachtImages(yacht);
      editMode.setFalse();
      this.form.css("opacity", 1);
    },
    showYachtImages: function(yacht){
      this.form.find("div.photo").hide();
      this.inputImages().attr("src", "");
      for (var i = 0; i < yacht.images.length; i++) {
        this.form.find("div.photo").eq(i).show();
        this.inputImages().eq(i).attr("src", "images/yachts/" + yacht.images[i]['image']);
      }
      showAddPhotoButton();
    }
  };

yachtForm.form.find("input").change(function(ev){
  updateYacht($(this));
});
editor.blurred(function(){
  if ($("textarea[name='description']").val() !== currentYacht.description) {
    updateYacht($("textarea[name='description']"));
  }
});
function updateYacht(input){
  var id = currentYacht.id;
  var value = input.val();
  var inputName = input.attr("name");
  if (input.attr("type") === "checkbox") {
    if (input.prop("checked")) {
      value = '1';
    } else {
      value = '0';
    }
  }
  $.post("lib/php/update_yacht", {id:id, inputName:inputName, value:value}, function(data){
    if (data === "Ok") {
      $(document).trigger("yachtWasUpdated", [input, inputName, value]);
    } else {
      alert(data);
    }
  });
}
$(document).on("yachtWasUpdated", function(event, input, inputName, value){
  updateCurrentYacht(input, inputName, value);
});
function updateCurrentYacht(input, inputName, value){
  currentYacht[inputName] = value;
  input.val(value);
  if (inputName == "description") {
    editor.updateFrame($("textarea[name='description']"));
  }
}
$("#addPhotoForm").on('submit',(function(e){
  e.preventDefault();
  var yachtId = $("#addPhotoForm").find("input[name='yachtId']").val();
  var newYachtImage = $("input[name='newYachtImage']");
  if (newYachtImage.val() == "") {
    alert("Выберите изображение");
    newYachtImage.focus();
    return;
  }

  $.ajax({
  url: "lib/php/upload_photo",
  type: "POST",
  data:  new FormData(this),
  contentType: false,
  cache: false,
  processData:false,
  success: function(data){
    data = JSON.parse(data);
    if (data[0] === "Ok") {
      $("#addPhoto").hide();
      $(document).trigger("newPhotoUploaded", [data[1], data[2]]);
    } else {
      alert(data[1]);
    }
  },
  error: function(){}
  });
}));
$(document).on("newPhotoUploaded", function(event, image, imageId){
  currentYacht.images.push({id:imageId, image:image});
  yachtForm.showYachtImages(currentYacht);
});

editMode = {
  status: false,
  setTrue: function(){
    this.status = true;
    $("span.yacht-read").hide();
    $("span.yacht-edit").show();
    $("i.delete").show();
    $("#yachtForm").find("input").attr({"readonly":false, "disabled":false});
    editor.disable(false);
    $("#yachtForm").find("input[name='name']").focus();
    $("a.edit-yacht").hide();
    $("a.close-yacht").show();
    $("i.delete").show();
    showAddPhotoButton();
    $("a.delete-yacht").hide();
  },
  setFalse: function(){
    this.status = false;
    $("span.yacht-read").show();
    $("span.yacht-edit").hide();
    $("#yachtForm").find("input").attr({"readonly":true, "disabled":true});
    $("a.add-photo").hide(); //добавить фото
    editor.disable(true);
    $("a.edit-yacht").show(); //редактировать
    $("a.close-yacht").hide(); // закрыть
    $("i.delete").hide();
    $("a.delete-yacht").show();
  }
}
}); //ready
