<?php //settings.php
session_start();
require_once "functions.php";
$mainTitle = "Яхты - настройки";
// logged in?
if (!isset($_SESSION["yacht_user"])) {
  header("Location: login");
  exit();
}

?>
<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8">
    <title><?php echo $mainTitle ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script defer src="https://use.fontawesome.com/releases/v5.0.6/js/all.js"></script>
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <script src="lib/jquery-3.3.1.min.js"></script>
    <link rel="stylesheet" href="jquery.cleditor.css" />
    <script src="jquery.cleditor.min.js"></script>
    <link rel='stylesheet' href='lib/css/w3.css' type='text/css'>
    <link rel='stylesheet' href='lib/css/settings_yacht.css' type='text/css'>
    <link rel="stylesheet" href="lib/css/full_screen_image.css">
    <script src="lib/functions.js"></script>
    <script src="lib/js/yacht_data.js"></script>
    <script src="settings_yachts.js"></script>
  </head>
  <body>
    <?php include "includes/settings_menu.html"; ?>
    <script type="text/javascript">$("a.yachts").addClass("w3-blue");</script>
    <div class="w3-content">
      <div class="w3-bar w3-border w3-round-xlarge" style="background-color:#C2E6F5;max-width:900px;margin:auto;margin-top:60px;margin-bottom:24px;">
          <a class="w3-bar-item w3-button prev-yacht" href="javascript:void(0);"> <strong>&#60;</strong> </a>
          <span class="w3-bar-item yacht-title" style="width:400px;white-space:nowrap">Название яхты</span>
          <a class="w3-bar-item w3-button next-yacht" href="javascript:void(0);"> <strong>&#62;</strong> </a>
          <a class="w3-bar-item w3-button w3-text-red add-yacht w3-right" href="javascript:void(0);">Добавить яхту</a>
      </div>
      <form id="yachtForm" class="w3-border w3-round-xlarge w3-light-grey" action="" method="post" style="max-width:900px;margin:auto;">
        <div class="w3-bar w3-border" style="background-color:#C2E6F5; border-radius:16px 16px 0 0;">
          <span class="w3-bar-item yacht-read">Просмотр</span>
          <span class="w3-bar-item yacht-edit">Редактирование</span>
          <a href="javascript:void(0)" class="w3-bar-item w3-button edit-yacht w3-right">Редактировать</a>
          <a href="javascript:void(0)" class="w3-bar-item w3-button close-yacht w3-right">Готово</a>
          <a href="javascript:void(0)" class="w3-bar-item w3-button delete-yacht w3-right">Удалить</a>
        </div>
        <input class="w3-input w3-hide" type="text" name="id" value="">
        <div class="w3-container">
          <p>
            <label for="">Название</label>
            <input class="w3-input w3-border" type="text" name="name" value="">
          </p>
        </div>
        <div class="w3-row-padding">
          <div class="w3-third">
            <p>
              <label for="">Стоимость аренды, руб/час</label>
              <input class="w3-input w3-border" type="text" name="price" value="">
            </p>
          </div>
          <div class="w3-third">
            <p>
              <label for="">Длина, м</label>
              <input class="w3-input w3-border" type="text" name="length" value="">
            </p>
          </div>
          <div class="w3-third">
            <p>
              <label for="">Ширина, м</label>
              <input class="w3-input w3-border" type="text" name="width" value="">
            </p>
          </div>
        </div>
        <div class="w3-row-padding">
          <div class="w3-third">
            <p>
              <label for="">Скорость, узлов</label>
              <input class="w3-input w3-border" type="text" name="speed" value="">
            </p>
          </div>
          <div class="w3-third">
            <p>
              <label for="">Вместимость, чел</label>
              <input class="w3-input w3-border" type="text" name="capacity" value="">
            </p>
          </div>
          <div class="w3-third">
            <p>
              <label for="">Количество кают, шт</label>
              <input class="w3-input w3-border" type="text" name="numberOfCabins" value="">
            </p>
          </div>
        </div>
        <div class="w3-row-padding">
          <div class="w3-half">
            <p>
              <input class="w3-check" type="checkbox" checked="checked" name="showYacht">
              <label>Показать на главной странице</label>
            </p>
          </div>
          <div class="w3-half">
            <p>
              <input class="w3-check" type="checkbox" checked="checked" name="availableWithoutCaptain">
              <label>Данное судно доступно для аренды без капитана</label>
            </p>
          </div>
        </div>
        <div class="w3-container">
          <p>
            <label for="">Описание</label>
            <textarea class="" id="description"  name="description" rows="10" cols="40" style="width:100%;" class="description w3-border-grey"></textarea>
          </p>
        </div>
        <div class="w3-container">
          <div class="w3-bar">
            <span class="w3-bar-item">Фото</span>
            <a class="add-photo w3-bar-item w3-right" href="javascript:void(0)">Добавить фото</a>
          </div>
          <div class="photo-container w3-container w3-border w3-white w3-round-xlarge">
            <div class="photo">
              <img class="photo" src="images/yachts/super-good-1.jpg" alt="">
              <div class="шторка w3-cell-row">
                <i class="material-icons w3-cell w3-cell-middle delete">delete</i>
                <i class="material-icons w3-cell w3-cell-middle zoom-in">zoom_in</i>
              </div>
            </div>
            <div class="photo">
              <img class="photo" src="images/yachts/super-good-2.jpg" alt="">
              <div class="шторка w3-cell-row">
                <i class="material-icons w3-cell w3-cell-middle delete">delete</i>
                <i class="material-icons w3-cell w3-cell-middle zoom-in">zoom_in</i>
              </div>
            </div>
            <div class="photo">
              <img class="photo" src="images/yachts/super-good-3.jpg" alt="">
              <div class="шторка w3-cell-row">
                <i class="material-icons w3-cell w3-cell-middle delete">delete</i>
                <i class="material-icons w3-cell w3-cell-middle zoom-in">zoom_in</i>
              </div>
            </div>
            <div class="photo">
              <img class="photo" src="images/yachts/super-good-4.jpg" alt="">
              <div class="шторка w3-cell-row">
                <i class="material-icons w3-cell w3-cell-middle delete">delete</i>
                <i class="material-icons w3-cell w3-cell-middle zoom-in">zoom_in</i>
              </div>
            </div>
            <div class="photo">
              <img class="photo" src="images/yachts/super-good-5.jpg" alt="">
              <div class="шторка w3-cell-row">
                <i class="material-icons w3-cell w3-cell-middle delete">delete</i>
                <i class="material-icons w3-cell w3-cell-middle zoom-in">zoom_in</i>
              </div>
            </div>
          </div>
        </div>
      </form>

      <div id="addYachtForm" class="w3-modal">
        <div class="w3-modal-content w3-round-xlarge">
          <form class="w3-border w3-round-xlarge w3-light-grey" action="" method="post" style="max-width:900px;">
            <div class="w3-bar" style="background-color:#C2E6F5; border-radius:16px 16px 0 0;">
              <span class="w3-bar-item w3-large w3-center">Добавить яхту</span>
              <a href="javascript:void(0)" class="w3-bar-item w3-button save-new-yacht w3-right">Сохранить</a>
              <a href="javascript:void(0)" class="w3-bar-item w3-button w3-right" onclick="$('#addYachtForm').hide()">Отменить</a>
            </div>
            <div class="w3-container">
              <p>
                <label for="">Название</label>
                <input class="w3-input w3-border" type="text" name="name" value="">
              </p>
            </div>
            <div class="w3-row-padding">
              <div class="w3-third">
                <p>
                  <label for="">Стоимость аренды, руб/час</label>
                  <input class="w3-input w3-border" type="text" name="price" value="">
                </p>
              </div>
              <div class="w3-third">
                <p>
                  <label for="">Длина, м</label>
                  <input class="w3-input w3-border" type="text" name="length" value="">
                </p>
              </div>
              <div class="w3-third">
                <p>
                  <label for="">Ширина, м</label>
                  <input class="w3-input w3-border" type="text" name="width" value="">
                </p>
              </div>
            </div>
            <div class="w3-row-padding">
              <div class="w3-third">
                <p>
                  <label for="">Скорость, узлов</label>
                  <input class="w3-input w3-border" type="text" name="speed" value="">
                </p>
              </div>
              <div class="w3-third">
                <p>
                  <label for="">Вместимость, чел</label>
                  <input class="w3-input w3-border" type="text" name="capacity" value="">
                </p>
              </div>
              <div class="w3-third">
                <p>
                  <label for="">Количество кают, шт</label>
                  <input class="w3-input w3-border" type="text" name="numberOfCabins" value="">
                </p>
              </div>
            </div>
            <div class="w3-row-padding">
              <div class="w3-half">
                <p>
                  <input class="w3-check" type="checkbox" checked="checked" name="showYacht">
                  <label>Показать на главной странице</label>
                </p>
              </div>
              <div class="w3-half">
                <p>
                  <input class="w3-check" type="checkbox" checked="checked" name="availableWithoutCaptain">
                  <label>Данное судно доступно для аренды без капитана</label>
                </p>
              </div>
            </div>
            <div class="w3-container">
              <p>
                <label for="">Описание</label>
                <textarea id="newYachtDescription"  name="newYachtDescription" rows="10" cols="40" style="width:100%;" class="new-yacht-description w3-border-grey"></textarea>
              </p>
            </div>
          </form> <!-- new yacht -->
        </div>
      </div>
    </div> <!-- content -->
    <div id="addPhoto" class="w3-modal">
      <div class="w3-modal-content w3-card-4 w3-container w3-border w3-round-xlarge" style="width:400px;">
        <span onclick="document.getElementById('addPhoto').style.display='none'" class="w3-button w3-display-topright">&times;</span>
        <form id="addPhotoForm" class="w3-container w3-padding-16" action="" method="post" enctype="multipart/form-data">
          <input class="w3-hide" type="text" name="yachtId" value="">
          <p>
            Разрешенные типы файла - .jpg, .jpeg, .png, .gif.<br>
          </p>
          <br>
          <input type="file" name="newYachtImage" value="" placeholder="Выберите фото">
          <hr>
          <button class="w3-button" type="button" name="button" onclick="document.getElementById('addPhoto').style.display='none'">Отменить</button>
          <!-- <button type="submit" name="" class="w3-button w3-right w3-round">Добавить фото</button> -->
        </form>
      </div>
    </div>


    <div class="full-screen-image">
      <img class="img-1" src="" alt="">
      <div class="img-left">
        <img src="images/svg/backward.svg" alt="">
      </div>
      <div class="img-right">
        <img src="images/svg/backward2.svg" alt="">
      </div>
    </div>
  </body>
</html>
