<!DOCTYPE html>
<html lang="ru">
<head>
  <title>Организация регат</title>
  <?php include "includes/head.html"; ?>
  <style media="screen">
  div.white-line-caption{font-size: 40px;}
  @media (max-width:992px) {
    div.white-line-caption{
      font-size: 24px;
    }
  }
  @media (max-width:600px) {
    div.white-line-caption{
      font-size: 16px;
    }
  }
  </style>
</head>
<body>
  <?php include "includes/top-bar.html"; ?>

<div class="main-image" style="margin-top:30px;background-image:url('images/организация-регат.jpg');">
  <div class="main-image-modal-container">
    <div class="main-image-modal">
      <div class="main-image-modal-caption"></div>
      <div class="main-image-modal-content">
        <p>Организуем корпоративные регаты, корпоративный отдых, тимбилдинг в России и зарубежом. Отличный сервис, незабываемые впечатления на всю жизнь!</p>
      </div>
      <div id="doCalculateRentPrice" class="main-image-modal-footer" onclick="clean();$('#calculateRegattaPriceModal').fadeIn();">
        Рассчитать стоимость регаты?
      </div>
    </div>
  </div>
  <div class="main-image-label-container">
    <div class="main-image-label">
      <div class="white-line-caption">
        Организация регат под ключ
      </div>
      <div class="white-line">
      </div>
    </div>
  </div>
</div>


<div id="calculateRegattaPriceModal" class="modal-2">
  <div class="modal-content">
    <span onclick="document.getElementById('calculateRegattaPriceModal').style.display='none'" class="w3-button w3-display-topright">&times;</span>
    <div class="" style="width:80%;margin:auto;line-height:1;">
      <div class="container header">
        <p>Рассчитать стоимость регаты</p>
      </div>
      <div class="">
        <form id="calculateRegattaPriceForm" class="" action="" method="post">
          <p><input type="text" name="memberNumber" value="" placeholder="Количество участников"></p>
          <p><input type="text" name="fname" value="" placeholder="Введите имя"></p>
          <p><input type="text" name="phoneNumber" value="" placeholder="Введите номер телефона"></p>
          <p><button class="" type="submit" name="calculateRegattaPrice">Рассчитать стоимость</button> <span class="форма-получена"> <i>Форма получена</i> </span> </p>
          <p>Нажимая кнопку, вы даете согласие на обработку персональных данных</p>
        </form>
      </div>
    </div>
  </div>
</div> <!--modal-->
<script type="text/javascript">
  $("#calculateRegattaPriceForm").submit(function(ev){
    ev.preventDefault();
    var subject = "Рассчитать стоимость регаты";
    var memberNumber = $(this).find("input[name='memberNumber']");
    var name = $(this).find("input[name='fname']");
    var phone = $(this).find("input[name='phoneNumber']");
    var span = $(this).find("span.форма-получена");
    var error = false;
    if (memberNumber.val() == "") {
      memberNumber.addClass("error");
      error = true;
    } else {
      memberNumber.removeClass("error")
    }
    if (name.val() == "") {
      name.addClass("error");
      error = true;
    } else {
      name.removeClass("error")
    }
    if (phone.val() == "") {
      phone.addClass("error")
      error = true;
    } else {
      phone.removeClass("error")
    }
    if (!error) {
      $("body *").css("cursor", "wait");
      $.post("send_calculate_regatta_price", {subject:subject,name:name.val(), phone:phone.val()}, function(data){
        $("body *").css("cursor", "default");
        if (data == "Ok") {
          span.show(showInfo);
        } else {
          alert(data);
        }
      });
    }
  });
</script>
<div class="caption-2" >
  Хватит проводить корпоративы в душных ресторанах и кафе. Настало время провести регату на воде!
</div>
<div class="" style="width:90%;margin:auto;">
  <div class="яхтенная-школа-2">
    <p>Регата это - водное состязание нескольких команд с использованием парусных судов.</p>
    <p>На борту парусного корабля, участвующего в соревновании, невозможно остаться в стороне. Команды здесь формируются естественным способом. Только грамотно распределив обязанности, выделив капитана и помощников, только слушая друг друга, можно заставить судно сдвинуться с места и направиться в нужную точку.</p>
    <p>Корпоративная регата имеет массу преимуществ перед другими методами тимбилдинга. Ее не нужно приукрашивать фотозонами и известными артистами, она не требует рихтовки грамотным ведущим: прогулка по воде на парусной яхте вызовет интерес у каждого сотрудника и принесет только хорошие эмоции.</p>
    <p>Потратьтесь на организацию регаты, если вы хотите:</p>
    <ul>
      <li>построить истинно крепкий коллектив;</li>
      <li>сделать своих сотрудников не только коллегами, но и друзьями по интересам;</li>
      <li>снять психологические барьеры раз и навсегда;</li>
      <li>повысить лояльность к руководству.</li>
    </ul>
  </div>
</div>
<div class="with-shadow">
</div>

<div class="" style="width:90%;margin:auto;margin-top:64px;margin-bottom:64px;">
  <div class="flex">
    <div class="container">
      <div class="caption-3">
        Достигаемые результаты
      </div>
      <div class="" style="">
        <ul style="margin:1vw;padding:2vw;">
          <li>Устанавливаются тесные связи между участниками мероприятия</li>
          <li>Коллектив получает разнообразные яркие впечатления</li>
          <li>Формирование особого клуба сотрудников, прошедших регату, с общими интересами и переживаниями</li>
        </ul>
      </div>
    </div>
    <div class="container">
      <div class="caption-4">
        Решаемые проблемы
      </div>
      <div class="">
        <ul style="margin:1vw;padding:2vw;">
          <li>Улучшение внерабочего общения между сотрудниками</li>
          <li>Развитые навыки командной работы</li>
          <li>Повышение качества принимаемых решений в ситуации неопределенности</li>
          <li>Развитие стратегического мышление членов коллектива</li>
        </ul>
      </div>
    </div>
  </div>

  <div class="view-3" style="margin-top:64px;">
    <div>
      <div class="display-container">
        <img class="view-3-image" src="images/view-3-10.jpg" alt="">
        <div class="show-detail">Подробнее?</div>
      </div>
      <div class="display-container">
        <p class="view-3-caption">Необычный способ отдыха</p>
        <p class="view-3-description">Яхтинг — набирающий популярность в нашей стране способ активного отдыха. Для кого-то это в первую очередь способ иначе смотреть на мир, для кого-то — адреналиновые гонки, а для кого-то и возможность прикоснуться к мечте.</p>
      </div>
    </div>
    <div>
      <div class="display-container">
        <img class="view-3-image" src="images/view-3-11.jpg" alt="">
        <div class="show-detail">Подробнее?</div>
      </div>
      <div class="display-container">
        <p class="view-3-caption">Возможность создать в команду мечты</p>
        <p class="view-3-description">Ничто так не объединяет как работа в команде, да еще и на результат. Наши инструкторы обучат азам парусного спорта, и вы сможете ощутить на себе командный дух спорта и невероятный азарт.</p>
      </div>
    </div>
    <div>
      <div class="display-container">
        <img class="view-3-image" src="images/view-3-12.jpg" alt="">
        <div class="show-detail">Подробнее?</div>
      </div>
      <div class="display-container">
        <p class="view-3-caption">Бесконечное количество новых эмоций</p>
        <p class="view-3-description">Лучше один раз попробовать самостоятельно поднять парус и отправиться на открытую воду, чем всю жизнь тихо об этом мечтать. Уверяем, обратно вы вернетесь с огромным запасом новых историй!</p>
      </div>
    </div>
  </div><!-- view-3 -->
  <div class="caption-2" style="width:100%;">
    Преимущества регаты для тимбилдинга
  </div>
  <div class="" style="font-weight:bold;font-size:2.2vw;">
    <p>В первую очередь, своей эффективностью. С парусной регатой не сравнится даже игра в пейнтбол: ваши сотрудники окажутся на настоящей яхте и примут участие в настоящей гонке. Вам не придется беспокоиться о том, как заинтересовать работников и вызвать у них желание активно участвовать. Все это будет без искусственных методов.</p>
    <p>Для кого-то корпоративная парусная регата - это возможность получить новые впечатления и навыки от управления яхтой, кто-то будет счастлив слетать в другую страну или подышать чистым воздухом. Кого-то захватит сам парусный спорт.</p>
    <p>Регата проходит практически без постороннего вмешательства. На борту яхты будет только профессиональный инструктор, который поможет справиться с управлением, подскажет, как и куда идти. Все остальное - от выбора командира до распределения обязанностей - возьмет на себя сама команда. Таким образом, ваши сотрудники поймут, что могут самостоятельно организовывать работу, сблизятся друг с другом, забудут про психологические и эмоциональные барьеры, стоявшие между ними прежде.</p>
    <p>Возможно, приняв участие в тимбилдинге на воде, ваши сотрудники увлекутся парусным спортом, сформируют клуб по интересам и начнут общаться друг с другом вне рабочего времени. Это удачное развитие ситуации: коллектив, в котором преобладают дружеские отношения, куда лучше справляется со своими обязанностями и способен к самоорганизации.</p>
  </div>

  <a class="middle-button" href="javascript:void(0);" onclick="clean();$('#calculateRegattaPriceModal').fadeIn();">Рассчитать стоимость регаты?</a>

  <div class="caption-5">
    Проводим регаты в разных странах
  </div>
  <div class="flag-flex">
    <div class="flag display-container">
      <img src="images/Флаги стран/Монтажная область 1.png" alt="">
      <img src="images/Флаги стран/Монтажная область 12.png" alt="">
    </div>
    <div class="flag display-container">
      <img src="images/Флаги стран/Монтажная область 2.png" alt="">
      <img src="images/Флаги стран/Монтажная область 22.png" alt="">
    </div>
    <div class="flag display-container">
      <img src="images/Флаги стран/Монтажная область 3.png" alt="">
      <img src="images/Флаги стран/Монтажная область 32.png" alt="">
    </div>
    <div class="flag display-container">
      <img src="images/Флаги стран/Монтажная область 4.png" alt="">
      <img src="images/Флаги стран/Монтажная область 42.png" alt="">
    </div>
    <div class="flag display-container">
      <img src="images/Флаги стран/Монтажная область 5.png" alt="">
      <img src="images/Флаги стран/Монтажная область 52.png" alt="">
    </div>
  </div>
  <div class="" style="text-align:center;font-size:2.3vw;font-weight:bold;width:70%;margin:auto;">
    <p><span style="background-color:#323484;color:#fff;">Мы предлагаем два варианта корпоративных регат.</span> Первый - более бюджетный и не столь долгий. Проведение регаты в России. Более дорогой вариант - регата за рубежом. Мы позаботимся об организации перелета, трансфера, проживания, питания и, конечно, самого соревнования. Предоставим весь список расходов, чтобы вы смогли подкорректировать бюджет лично.</p>
  </div>
  <div class="caption-2">
    Этапы организации корпоративной регаты:
  </div>
  <div class="view-4" style="width:100%;">
    <div class="">
      <img src="images/svg/budget.svg" alt="" style="width:75%;">
      <p style="font-size:120%;">Бюджет регаты и смета</p>
    </div>
    <div class="">
      <img src="images/svg/location.svg" alt="" style="width:75%;">
      <p style="font-size:120%;">Выбор страны и акватории для мероприятия.</p>
    </div>
    <div class="">
      <img src="images/svg/ship.svg" alt="" style="width:75%;">
      <p style="font-size:120%;">Выбор модели парусной яхты, обзор марок.</p>
    </div>
    <div class="">
      <img src="images/svg/movie.svg" alt="" style="width:75%;">
      <p style="font-size:120%;">Брендирование и постпродакшн корпоративного мероприятия.</p>
    </div>
  </div>

</div>
<?php include "includes/контакты.html"; ?>
<div class="" style="height:200px;">

</div>
</body>
